﻿using System;
using System.Collections.Generic;
using System.Text;

using Xunit;
using Xunit.Abstractions;

using Study.DelegateSeries.Test.UseFixture;

namespace Study.DelegateSeries.Test.xUnitSetup
{
    /// <summary>
    /// 设置全局共享类
    /// </summary>
    [CollectionDefinition("DemoCollection")]
    public class GlobalFixtureSetup:ICollectionFixture<GlobalFixtureDemo>
    {
        //这个类没有代码，而不需要创建。
        //其目的是简单地设置测试集共享数据
        //只要设置[CollectionDefinition("Demo Collection")]特性
        //并实现IClassFixture<T>接口
    }
}
