﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Study.DelegateSeries.Core
{
    
    /// <summary>
    /// 显示类型名 委托
    /// </summary>
    /// <returns>类型名</returns>
    public delegate string ShowTypeNameDelegate();

    /// <summary>
    /// 显示人名 委托
    /// </summary>
    /// <returns>人名</returns>
    public delegate string ShowPersonName();

    /// <summary>
    /// 计算器：计算委托
    /// </summary>
    /// <param name="numberA">参数A</param>
    /// <param name="numberB">参数B</param>
    /// <returns>计算结果</returns>
    public delegate decimal CalculatorDelegate(decimal numberA,decimal numberB);

    /// <summary>
    /// 返回整形无参 委托
    /// </summary>
    /// <returns>整形数字</returns>
    public delegate int IntegerDelegate();
}
